/*
With this scripts you can setting some ascpect of your scene like:

System units
Frame Rate
Resolution of output
Renderer

Create by Matteo_MatEvil_Migliorini (www.art2upz.com) you can use for your work and share it.
I take ispiration from one lesson of the course of Allan McKay (www.allanmckay.com) - "FX Technical Director Transformation"



*/

---****Fix a version of V-Ray


RESList =#("720p","1080p","2k","4k")
FPSList=#("24 - Film","25 - Pal","30 - NTSC")
unitlist=#("Centimeters","Inches","Meters")
ENGList=#("Scanline","Mental Ray","IRay","V-Ray")


rollout _setupMyScene "Setup my scene V001"

(

	spinner _Startframe "Frame Start" type:#integer range: [0,1000,0]
	spinner _Endframe "Frame End" type:#integer range: [0,1000,100]
	dropdownlist _units items:unitlist
	dropdownlist _FPSList items:FPSList
	dropdownlist _RESList items:RESList
	dropdownlist _ENGList items:ENGList


-- 	
	button _go "ENJOY!!!"
	on _go pressed do
	(

		---Framerate
		if _FPSList.selection == 1 do (framerate=24)
		if _FPSList.selection == 2 do (framerate=25)
		if _FPSList.selection == 3 do (framerate=30)
		
		--frame range
		Animationrange=interval _Startframe.value _Endframe.value
		
		
		--Unity System
		if _units.selection == 1 do (units.systemtype = #centimeters)
		if _units.selection == 2 do (units.systemtype = #inches)
		if _units.selection == 3 do (units.systemtype = #meters)

-- 		---Resolution Render Width
		if _RESList.selection == 1 do (renderwidth=1280)
		if _RESList.selection == 2 do (renderwidth=1920)
		if _RESList.selection == 3 do (renderwidth=2048)
		if _RESList.selection == 4 do (renderwidth=3840)
-- 		
-- 		---Resolution Render Height
		if _RESList.selection == 1 do (renderheight=720)
		if _RESList.selection == 2 do (renderheight=1080)
		if _RESList.selection == 3 do (renderheight=1080)
		if _RESList.selection == 4 do (renderheight=2160)
-- 		
-- 		---Renderer choose
		if _ENGList.selection == 1 do (renderers.current = Default_Scanline_Renderer ())
		if _ENGList.selection == 2 do (renderers.current = mental_ray_renderer ())
		if _ENGList.selection == 3 do (renderers.current = iray_Renderer ())
		if _ENGList.selection == 4 do (renderers.current = vray ())
-- 		
-- 		
		)
	
	
	
		button _About "ABOUT" 
		on _About pressed do
		(
		messagebox "Create by Matteo_MatEvil_Migliorini (www.art2upz.com) \n you can use for your work and share it..."
		)

	
	)
	


createdialog _setupMyScene